*************************************************************

*Este programa debe ser utilizado con el Software SPSS versin 
12 o superior. 

*Todas las bases de datos de la ENIGH pueden ser obtenidas
en la pgina de internet del INEGI, www.inegi.gob.mx, y
deben estar convertidas a formato *.sav. 

*En este programa se utilizan las siguientes bases,
renombrndolas de la siguiente forma:
*
Base de ingresos: ingreso06.sav
Base de gasto monetario: gasto06.sav
Base de gasto no monetario: nomonetario06.sav
Base de concentrado: concentrado06.sav
*
En este programa se utilizan tres tipos de archivos, los 
cuales estn ubicados en las siguientes carpetas:
* 
1) Bases originales: C:\MedicionPobreza\2006\SPSS\ENIGH
2) Bases generadas: C:\MedicionPobreza\2006\SPSS\Bases
3) Bitcoras: C:\MedicionPobreza\2006\SPSS\Log

*************************************************************
*
*	PROGRAMA PARA LA MEDICIN DE LA POBREZA 2006
*
*************************************************************
*
ltima modificacin: 24 de julio de 2007
*
* Parte 1
*
Creacin del ingreso monetario deflactado a pesos de agosto 
del 2006. 
*
Los deflactores se crean previamente a partir del INPC 
general (ver Nota Tcnica).
*
En esta parte se crea la base 
"C:\MedicionPobreza\2006\SPSS\Bases\ingreso_deflactado06.sav" 
la cual se encuentra a nivel de folio.

*************************************************************

* Ingresos

GET
  FILE='C:\MedicionPobreza\2006\SPSS\ENIGH\ingreso06.sav'.
EXECUTE.

*La variable 'meses' define los meses a los que corresponden 
cada uno de los ingresos de la persona en los seis meses 
anteriores al levantamiento de la informacin. Esta variable 
toma cuatro valores:
*
070605040302
080706050403
090807060504
100908070605
*
As, se sabe que la encuesta fue levantada entre los meses de 
agosto y noviembre, y por lo tanto, al preguntarse por los 
ingresos de los seis meses anteriores, se recolect 
informacin correspondiente a los meses de febrero-julio, marzo-agosto, 
abril-septiembre, y mayo-octubre.

*Definicion de los deflactores 2006:
	
COMPUTE ene06	=	0.991557820.
COMPUTE feb06	=	0.993075039.
COMPUTE mar06	=	0.994321023.
COMPUTE abr06	=	0.995778910.
COMPUTE may06	=	0.991345917.
COMPUTE jun06	=	0.992202002.
COMPUTE jul06		=	0.994922825.
COMPUTE ago06	=	1.000000000.
COMPUTE sep06	=	1.010095017.
COMPUTE oct06	=	1.014511057.
COMPUTE nov06	=	1.019834038.
COMPUTE dic06	=	1.025733393.
EXECUTE.

* La estrategia para deflactar ser dividir cada columna de 
ingreso por el deflactor correspondiente a su mes y la
decena en que fue levantado.

COMPUTE mes = NUMBER(meses, f12) .

IF (mes = 070605040302)	ing_6d=	ing_6	 /	feb06.	
IF (mes = 070605040302)	ing_5d=	ing_5	/	mar06.	
IF (mes = 070605040302)	ing_4d=	ing_4	/	abr06.	
IF (mes = 070605040302)	ing_3d=	ing_3	/	may06.	
IF (mes = 070605040302)	ing_2d=	ing_2	/	jun06.	
IF (mes = 070605040302)	ing_1d=	ing_1	/	jul06.	
						
IF (mes = 080706050403)	ing_6d=	ing_6 	/	mar06.	
IF (mes = 080706050403)	ing_5d=	ing_5	/	abr06.	
IF (mes = 080706050403)	ing_4d=	ing_4	/	may06.	
IF (mes = 080706050403)	ing_3d=	ing_3	/	jun06.	
IF (mes = 080706050403)	ing_2d=	ing_2	/	jul06.	
IF (mes = 080706050403)	ing_1d=	ing_1	/	ago06.	
						
IF (mes = 090807060504)	ing_6d=	ing_6 	/	abr06.	
IF (mes = 090807060504)	ing_5d=	ing_5	/	may06.	
IF (mes = 090807060504)	ing_4d=	ing_4	/	jun06.	
IF (mes = 090807060504)	ing_3d=	ing_3	/	jul06.	
IF (mes = 090807060504)	ing_2d=	ing_2	/	ago06.	
IF (mes = 090807060504)	ing_1d=	ing_1	/	sep06.	
							
IF (mes = 100908070605)	ing_6d=	ing_6	/	may06.	
IF (mes = 100908070605)	ing_5d=	ing_5	/	jun06.	
IF (mes = 100908070605)	ing_4d=	ing_4	/	jul06.	
IF (mes = 100908070605)	ing_3d=	ing_3	/	ago06.	
IF (mes = 100908070605)	ing_2d=	ing_2	/	sep06.	
IF (mes = 100908070605)	ing_1d=	ing_1	/	oct06.	

* Una vez realizada la deflactacin, se procede a obtener el 
ingreso mensual promedio en los ltimos seis meses,
para cada persona y clave de ingreso.

COMPUTE ing_mens = SUM(ing_1d, ing_2d, ing_3d, ing_4d, 
ing_5d, ing_6d) / 6 .

*Para obtener el ingreso corriente monetario, se seleccionan 
las claves de ingreso correspondientes.

IF ( clave >= 'p001' & clave < 'p061' ) ing_mon  = ing_mens .
IF (SYSMIS(ing_mon)) ing_mon = 0.

IF ( clave >= 'p001' & clave < 'p039' ) ing_lab  = ing_mens .
IF (SYSMIS(ing_lab)) ing_lab = 0.

IF ( clave >= 'p001' & clave < 'p010' ) ing_trab  = ing_mens .
IF (SYSMIS(ing_trab)) ing_trab = 0.

IF ( clave >= 'p010' & clave < 'p039' ) ing_negp  = ing_mens .
IF (SYSMIS(ing_negp)) ing_negp = 0.

IF ( clave >= 'p039' & clave < 'p048' ) ing_rent  = ing_mens .
IF (SYSMIS(ing_rent)) ing_rent = 0.

IF ( clave >= 'p048' & clave < 'p061' ) ing_tran  = ing_mens .
IF (SYSMIS(ing_tran)) ing_tran = 0.

variable label folio 'Identificador del hogar' .
variable label ing_mon 'Ingreso corriente monetario del hogar sin otros ingresos' .
variable label ing_lab 'Ingreso laboral' .
variable label ing_trab 'Ingreso por remuneraciones al trabajo' .
variable label ing_negp 'Ingreso por negocios propios' .
variable label ing_rent 'Ingreso por renta de la propiedad' .
variable label ing_tran 'Ingreso por transferencias' .

EXECUTE.

SORT CASES BY
  folio (A) .

*A continuacin se estima el total de ingresos de cada 
hogar y fuente de ingreso, y se guarda la base en un 
archivo aparte. 

AGGREGATE
/OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\ingreso_deflactado06.sav'
  /BREAK=folio
  /ing_mon = SUM(ing_mon)
  /ing_lab = SUM(ing_lab)
  /ing_trab = SUM(ing_trab)
  /ing_negp = SUM(ing_negp)
  /ing_rent = SUM(ing_rent)
  /ing_tran = SUM(ing_tran).


**************************************************************

* Parte II

* Creacin del gasto monetario deflactado a pesos de agosto 
de 2006.

* Los deflactores se crean previamente a partir del INPC 
segn aparece en la Nota Tcnica.

*Se crea la base:
'C:\MedicionPobreza\2006\SPSS\Bases\gastomonetario_def06.sav'
la cual se encuentra a nivel de folio.

**************************************************************

*Gasto monetario

GET
  FILE='C:\MedicionPobreza\2006\SPSS\ENIGH\gasto06.sav'.
EXECUTE.

* En el caso de la informacin de gasto, para deflactar se 
utiliza la decena de levantamiento de la encuesta, la cual 
se encuentra en la sptima posicin del folio del hogar. En 
primer lugar, se obtiene una variable que identifique la 
decena de levantamiento.

COMPUTE decena = NUMBER(SUBSTR(folio,7,1),f8) .

*Al comparar con la informacin del catlogo, se observa que la 
informacin se levant en nueve decenas, correspondientes a:

*Decena	Periodo de levantamiento
*
0	|	del 10 al 16 de agosto
1	|	del 20 al 26 de agosto
2	|	del 30 de agosto al 05 de septiembre
3	|	del 09 al 15 de septiembre
4	|	del 19 al 25 de septiembre
5	|	del 29 de septiembre al 05 de octubre
6	|	del 09 al 15 de octubre
7	|	del 19 al 25 de octubre
8	|	del 29 de octubre al 04 de noviembre
9	|	del 08 al 14 de noviembre

* As, para realizar el anlisis, y conforme a lo establecido
en la informacin de la ENIGH2006, se tomarn como periodos 
de referencia:

*
Decena	Periodo de referencia
		/Semanal	/Mensual	/Trimestral		/Semestral
0	|	/Agosto		/Julio		/Mayo a julio		/Febrero a julio
1	|	/Agosto		/Julio		/Mayo a julio		/Febrero a julio
2	|	/Agosto		/Agosto 	/Junio a agosto		/Marzo a agosto 
3	|	/Septiembre	/Agosto		/Junio a agosto		/Marzo a agosto
4	|	/Septiembre	/Agosto		/Junio a agosto		/Marzo a agosto
5	|	/Septiembre	/Septiembre	/Julio a Septiembre	/Abril a septiembre
6	|	/Octubre	/Septiembre	/Julio a septiembre	/Abril a septiembre
7	|	/Octubre	/Septiembre	/Julio a septiembre	/Abril a septiembre
8	|	/Octubre	/Octubre	/Agosto a octubre	/Mayo a octubre
9	|	/Noviembre	/Octubre	/Agosto a octubre	/Mayo a octubre

*Los rubros a considerar, segn la metodologa del CTMP, sern:
*
Rubro					/Periodicidad	Nombre del deflactor
Alimentos y bebidas no alcohlicas	/Semanal	/d11wmes
Bebidas alcohlicas y tabaco		/Semanal	/d12wmes
Vestido y calzado			/Trimestral	/d2tmesini
Vivienda y servicios de conservacin	/Mensual	/d3mmes
Estimacin del alquiler			/No se deflactar /No se deflactar
Artculos y servicios de limpieza		/Mensual	/d42mmes
Cristalera, utensilios domsticos	/Trimestral	/d42tmesini
Enseres domsticos y muebles		/Semestral	/d41smesini
Cuidados de la salud			/Trimestral	/d51tmesini
Transporte pblico			/Semanal	/d611wmes
Transporte forneo			/Semestral	/d6smesini
Comunicaciones			/Mensual	/d6mmes
Educacin bsica			/Mensual	/d7mmes
Cuidado personal			/Mensual	/d23mmes
Accesorios personales			/Trimestral	/d23tmesini
Otros gastos y transferencias		/Semestral	/dINPCsmesini
Regalos otorgados			/Semestral	/dINPCsmesini
*Definicin de los deflactores

*Rubro 1.1 semanal.

COMPUTE d11w07	=	0.9844609	.
COMPUTE d11w08	=	1.0000000	.
COMPUTE d11w09	=	1.0329810	.
COMPUTE d11w10	=	1.0431290	.
COMPUTE d11w11	=	1.0336965	.

*Rubro 1.2 semanal.

COMPUTE d12w07	=	0.9945895	.
COMPUTE d12w08	=	1.0000000	.
COMPUTE d12w09	=	0.9991202	.
COMPUTE d12w10	=	0.9989091	.
COMPUTE d12w11	=	0.9993842	.

*Rubro 2 trimestral.

COMPUTE d2t05	= 	0.9980605	.
COMPUTE d2t06	= 	0.9984439	.
COMPUTE d2t07	= 	0.9993801	.
COMPUTE d2t08	= 	1.0012110	.

*Rubro 3 mensual.

COMPUTE d3m07	=	0.9974508	.
COMPUTE d3m08	=	1.0000000	.
COMPUTE d3m09	=	1.0015785	.
COMPUTE d3m10	=	1.0085508	.
COMPUTE d3m11	=	1.0329622	.

*Rubro 4.2 mensual.

COMPUTE d42m07	=	0.9953644	.
COMPUTE d42m08	=	1.0000000	.
COMPUTE d42m09	=	1.0059547	.
COMPUTE d42m10	=	1.0124654	.
COMPUTE d42m11	=	1.0118058	.

*Rubro 4.2 trimestral.

COMPUTE d42t05	=	0.9960396	.
COMPUTE d42t06	=	0.9978015	.
COMPUTE d42t07	=	1.0004397	.
COMPUTE d42t08	=	1.0061400	.

*Rubro 4.1 semestral.

COMPUTE d41s02	=	1.0026645	.
COMPUTE d41s03	=	1.0021045	.
COMPUTE d41s04	=	1.0020266	.
COMPUTE d41s05	=	1.0026198	.

*Rubro 5.1 trimestral.

COMPUTE d51t05	=	0.9939752	.
COMPUTE d51t06	=	0.9970799	.
COMPUTE d51t07	=	0.9999539	.
COMPUTE d51t08	=	1.0032132	.

*Rubro 6.1.1 semanal.

COMPUTE d611w07	=	0.9929616	.
COMPUTE d611w08	=	1.0000000	.
COMPUTE d611w09	=	1.0005707	.
COMPUTE d611w10	=	1.0007196	.
COMPUTE d611w11	=	1.0009181	.

*Rubro 6 mensual.

COMPUTE d6m07	=	0.9965857	.
COMPUTE d6m08	=	1.0000000	.
COMPUTE d6m09	=	1.0016507	.
COMPUTE d6m10	=	0.9998002	.
COMPUTE d6m11	=	1.0019548	.

*Rubro 6 semestral.

COMPUTE d6s02	=	0.9891271	.
COMPUTE d6s03	=	0.9926674	.
COMPUTE d6s04	=	0.9958950	.
COMPUTE d6s05	=	0.9971953	.

*Rubro 7 mensual.

COMPUTE d7m07	=	0.9993756	.
COMPUTE d7m08	=	1.0000000	.
COMPUTE d7m09	=	1.0175236	.
COMPUTE d7m10	=	1.0184843	.
COMPUTE d7m11	=	1.0197811	.

*Rubro 2.3 mensual.

COMPUTE d23m07	=	0.9970873	.
COMPUTE d23m08	=	1.0000000	.
COMPUTE d23m09	=	0.9996172	.
COMPUTE d23m10	=	0.9987101	.
COMPUTE d23m11	=	1.0072734	.

*Rubro 2.3 trimestral.

COMPUTE d23t05	=	0.9985825	.
COMPUTE d23t06	=	0.9975117	.
COMPUTE d23t07	=	0.9989015	.
COMPUTE d23t08	=	0.9994424	.

*INPC semestral.

COMPUTE dINPCs02	=	0.9936076	.
COMPUTE dINPCs03	=	0.9947618	.
COMPUTE dINPCs04	=	0.9973908	.
COMPUTE dINPCs05	=	1.0005128	.
EXECUTE.

*Una vez definidos los deflactores, se seleccionan los 
rubros de gasto definidos en la metodologa del CTMP.

COMPUTE gasm = gas_tri / 3 .
IF(SYSMIS(gasm)) gasm = 0.

*Gasto en Alimentos deflactado

IF ( (clave >= 'a001' & clave < 'a223') | (clave >= 'a242'
 & clave < 'a248' ) ) 
ali_m = gasm .

IF(decena = 	0	)	ali_m=ali_m/d11w08	.	
IF(decena = 	1	)	ali_m=ali_m/d11w08	.	
IF(decena = 	2	)	ali_m=ali_m/d11w08	.	
IF(decena = 	3	)	ali_m=ali_m/d11w09	.	
IF(decena = 	4	)	ali_m=ali_m/d11w09	.	
IF(decena = 	5	)	ali_m=ali_m/d11w09	.	
IF(decena = 	6	)	ali_m=ali_m/d11w10	.	
IF(decena = 	7	)	ali_m=ali_m/d11w10	.	
IF(decena = 	8	)	ali_m=ali_m/d11w10	.	
IF(decena = 	9	)	ali_m=ali_m/d11w11	.

IF(SYSMIS(ali_m)) ali_m = 0.	

*Gasto en Alcohol y tabaco deflactado.

IF ( (clave >= 'a223' & clave < 'a242')) alta_m = gasm .

IF(decena = 	0	)	alta_m=alta_m/d12w08	.	
IF(decena = 	1	)	alta_m=alta_m/d12w08	.	
IF(decena = 	2	)	alta_m=alta_m/d12w08	.	
IF(decena = 	3	)	alta_m=alta_m/d12w09	.	
IF(decena = 	4	)	alta_m=alta_m/d12w09	.	
IF(decena = 	5	)	alta_m=alta_m/d12w09	.	
IF(decena = 	6	)	alta_m=alta_m/d12w10	.	
IF(decena = 	7	)	alta_m=alta_m/d12w10	.	
IF(decena = 	8	)	alta_m=alta_m/d12w10	.	
IF(decena = 	9	)	alta_m=alta_m/d12w11	.	

IF(SYSMIS(alta_m)) alta_m = 0.	

*Gasto en Vestido y calzado deflactado.

IF( (clave >= 'h001' & clave < 'h073') | (clave >= 'h075'
 & clave < 'h109') ) veca_m = gasm .

IF(decena = 	0	)	veca_m=veca_m/d2t05	.	
IF(decena = 	1	)	veca_m=veca_m/d2t05	.	
IF(decena = 	2	)	veca_m=veca_m/d2t06	.	
IF(decena = 	3	)	veca_m=veca_m/d2t06	.	
IF(decena = 	4	)	veca_m=veca_m/d2t06	.	
IF(decena = 	5	)	veca_m=veca_m/d2t07	.	
IF(decena = 	6	)	veca_m=veca_m/d2t07	.	
IF(decena = 	7	)	veca_m=veca_m/d2t07	.	
IF(decena = 	8	)	veca_m=veca_m/d2t08	.	
IF(decena = 	9	)	veca_m=veca_m/d2t08	.	

IF(SYSMIS(veca_m)) veca_m = 0.	

*Gasto en Vivienda y servicios de conservacin deflactado;

IF( (clave >= 'g002' & clave < 'g012') | (clave >= 'g020'
 & clave < 'g031')  ) viv_m = gasm .

IF(decena = 	0	)	viv_m=viv_m/d3m07	.	
IF(decena = 	1	)	viv_m=viv_m/d3m07	.	
IF(decena = 	2	)	viv_m=viv_m/d3m08	.	
IF(decena = 	3	)	viv_m=viv_m/d3m08	.	
IF(decena = 	4	)	viv_m=viv_m/d3m08	.	
IF(decena = 	5	)	viv_m=viv_m/d3m09	.	
IF(decena = 	6	)	viv_m=viv_m/d3m09	.	
IF(decena = 	7	)	viv_m=viv_m/d3m09	.	
IF(decena = 	8	)	viv_m=viv_m/d3m10	.	

IF(decena = 	9	)	viv_m=viv_m/d3m10	.	

IF(SYSMIS(viv_m)) viv_m = 0.	

*Gasto en Artculos de limpieza deflactado.

IF( clave >= 'c001' & clave < 'c025' ) lim_m = gasm .

IF(decena = 	0	)	lim_m=lim_m/d42m07	.	
IF(decena = 	1	)	lim_m=lim_m/d42m07	.	
IF(decena = 	2	)	lim_m=lim_m/d42m08	.	
IF(decena = 	3	)	lim_m=lim_m/d42m08	.	
IF(decena = 	4	)	lim_m=lim_m/d42m08	.	
IF(decena = 	5	)	lim_m=lim_m/d42m09	.	
IF(decena = 	6	)	lim_m=lim_m/d42m09	.	
IF(decena = 	7	)	lim_m=lim_m/d42m09	.	
IF(decena = 	8	)	lim_m=lim_m/d42m10	.	
IF(decena = 	9	)	lim_m=lim_m/d42m10	.	

IF(SYSMIS(lim_m)) lim_m = 0.	

*Gasto en Cristalera y blancos deflactado.

IF(clave >= 'i001' & clave < 'i027') cris_m = gasm .

IF(decena = 	0	)	cris_m=cris_m/d42t05	.	
IF(decena = 	1	)	cris_m=cris_m/d42t05	.	
IF(decena = 	2	)	cris_m=cris_m/d42t06	.	
IF(decena = 	3	)	cris_m=cris_m/d42t06	.	
IF(decena = 	4	)	cris_m=cris_m/d42t06	.	
IF(decena = 	5	)	cris_m=cris_m/d42t07	.	
IF(decena = 	6	)	cris_m=cris_m/d42t07	.	
IF(decena = 	7	)	cris_m=cris_m/d42t07	.	
IF(decena = 	8	)	cris_m=cris_m/d42t08	.	
IF(decena = 	9	)	cris_m=cris_m/d42t08	.	

IF(SYSMIS(cris_m)) cris_m = 0.	

*Gasto en Enseres y muebles deflactado.

IF(clave >= 'k001' & clave < 'k037') ens_m = gasm .

IF(decena = 	0	)	ens_m=ens_m/d41s02	.	
IF(decena = 	1	)	ens_m=ens_m/d41s02	.	
IF(decena = 	2	)	ens_m=ens_m/d41s03	.	
IF(decena = 	3	)	ens_m=ens_m/d41s03	.	
IF(decena = 	4	)	ens_m=ens_m/d41s03	.	
IF(decena = 	5	)	ens_m=ens_m/d41s04	.	
IF(decena = 	6	)	ens_m=ens_m/d41s04	.	
IF(decena = 	7	)	ens_m=ens_m/d41s04	.	
IF(decena = 	8	)	ens_m=ens_m/d41s05	.	
IF(decena = 	9	)	ens_m=ens_m/d41s05	.	

IF(SYSMIS(ens_m)) ens_m = 0.	

*Gasto en Salud deflactado;

IF(clave >= 'j001' & clave < 'j073') sal_m = gasm .

IF(decena = 	0	)	sal_m=sal_m/d51t05	.	
IF(decena = 	1	)	sal_m=sal_m/d51t05	.	
IF(decena = 	2	)	sal_m=sal_m/d51t06	.	
IF(decena = 	3	)	sal_m=sal_m/d51t06	.	
IF(decena = 	4	)	sal_m=sal_m/d51t06	.	
IF(decena = 	5	)	sal_m=sal_m/d51t07	.	
IF(decena = 	6	)	sal_m=sal_m/d51t07	.	
IF(decena = 	7	)	sal_m=sal_m/d51t07	.	
IF(decena = 	8	)	sal_m=sal_m/d51t08	.	
IF(decena = 	9	)	sal_m=sal_m/d51t08	.	

IF(SYSMIS(sal_m)) sal_m = 0.	

*Gasto en Transporte pblico deflactado;

IF(clave >= 'b001' & clave < 'b008') tpub_m = gasm .

IF(decena = 	0	)	tpub_m=tpub_m/d611w08	.	
IF(decena = 	1	)	tpub_m=tpub_m/d611w08	.	
IF(decena = 	2	)	tpub_m=tpub_m/d611w08	.	
IF(decena = 	3	)	tpub_m=tpub_m/d611w09	.	
IF(decena = 	4	)	tpub_m=tpub_m/d611w09	.	
IF(decena = 	5	)	tpub_m=tpub_m/d611w09	.	
IF(decena = 	6	)	tpub_m=tpub_m/d611w10	.	
IF(decena = 	7	)	tpub_m=tpub_m/d611w10	.	
IF(decena = 	8	)	tpub_m=tpub_m/d611w10	.	
IF(decena = 	9	)	tpub_m=tpub_m/d611w11	.	

IF(SYSMIS(tpub_m)) tpub_m = 0.	

*Gasto en Transporte forneo deflactado;

IF((clave >= 'm001' & clave < 'm019') | (clave >= 'f010' 
& clave < 'f016')) tfor_m = gasm .

IF(decena = 	0	)	tfor_m=tfor_m/d6s02	.	
IF(decena = 	1	)	tfor_m=tfor_m/d6s02	.	
IF(decena = 	2	)	tfor_m=tfor_m/d6s03	.	
IF(decena = 	3	)	tfor_m=tfor_m/d6s03	.	
IF(decena = 	4	)	tfor_m=tfor_m/d6s03	.	
IF(decena = 	5	)	tfor_m=tfor_m/d6s04	.	
IF(decena = 	6	)	tfor_m=tfor_m/d6s04	.	
IF(decena = 	7	)	tfor_m=tfor_m/d6s04	.	
IF(decena = 	8	)	tfor_m=tfor_m/d6s05	.	
IF(decena = 	9	)	tfor_m=tfor_m/d6s05	.	

IF(SYSMIS(tfor_m)) tfor_m = 0.	

*Gasto en Comunicaciones deflactado;

IF(clave >= 'f001' & clave < 'f010')  com_m = gasm .

IF(decena = 	0	)	com_m=com_m/d6m07	.	
IF(decena = 	1	)	com_m=com_m/d6m07	.	
IF(decena = 	2	)	com_m=com_m/d6m08	.	
IF(decena = 	3	)	com_m=com_m/d6m08	.	
IF(decena = 	4	)	com_m=com_m/d6m08	.	
IF(decena = 	5	)	com_m=com_m/d6m09	.	
IF(decena = 	6	)	com_m=com_m/d6m09	.	
IF(decena = 	7	)	com_m=com_m/d6m09	.	
IF(decena = 	8	)	com_m=com_m/d6m10	.	
IF(decena = 	9	)	com_m=com_m/d6m10	.	

IF(SYSMIS(com_m)) com_m = 0.	

*Gasto en Educacin y recreacin deflactado;

IF(( clave >= 'e001' & clave < 'e034') | (clave >= 'h073' & clave < 'h075') | 
(clave >= 'l001' & clave < 'l030')   | (clave >= 'n003' & clave < 'n006') ) 
edre_m = gasm .

IF(decena = 	0	)	edre_m=edre_m/d7m07	.	
IF(decena = 	1	)	edre_m=edre_m/d7m07	.	
IF(decena = 	2	)	edre_m=edre_m/d7m08	.	
IF(decena = 	3	)	edre_m=edre_m/d7m08	.	
IF(decena = 	4	)	edre_m=edre_m/d7m08	.	
IF(decena = 	5	)	edre_m=edre_m/d7m09	.	
IF(decena = 	6	)	edre_m=edre_m/d7m09	.	
IF(decena = 	7	)	edre_m=edre_m/d7m09	.	
IF(decena = 	8	)	edre_m=edre_m/d7m10	.	
IF(decena = 	9	)	edre_m=edre_m/d7m10	.	

IF(SYSMIS(edre_m)) edre_m = 0.	

*Gasto en Educacin bsica deflactado;

IF ((clave >= 'e002' & clave < 'e004' ) | (clave >= 'h073' & clave < 'h075') ) 
edba_m = gasm .

IF(decena = 	0	)	edba_m=edba_m/d7m07	.	
IF(decena = 	1	)	edba_m=edba_m/d7m07	.	
IF(decena = 	2	)	edba_m=edba_m/d7m08	.	
IF(decena = 	3	)	edba_m=edba_m/d7m08	.	
IF(decena = 	4	)	edba_m=edba_m/d7m08	.	
IF(decena = 	5	)	edba_m=edba_m/d7m09	.	
IF(decena = 	6	)	edba_m=edba_m/d7m09	.	
IF(decena = 	7	)	edba_m=edba_m/d7m09	.	
IF(decena = 	8	)	edba_m=edba_m/d7m10	.	
IF(decena = 	9	)	edba_m=edba_m/d7m10	.	

IF(SYSMIS(edba_m)) edba_m = 0.	

*Gasto en Cuidado personal deflactado;

IF( (clave >= 'd001' & clave < 'd027') | (clave = 'h118')) 
cuip_m = gasm .

IF(decena = 	0	)	cuip_m=cuip_m/d23m07	.	
IF(decena = 	1	)	cuip_m=cuip_m/d23m07	.	
IF(decena = 	2	)	cuip_m=cuip_m/d23m08	.	
IF(decena = 	3	)	cuip_m=cuip_m/d23m08	.	
IF(decena = 	4	)	cuip_m=cuip_m/d23m08	.	
IF(decena = 	5	)	cuip_m=cuip_m/d23m09	.	
IF(decena = 	6	)	cuip_m=cuip_m/d23m09	.	
IF(decena = 	7	)	cuip_m=cuip_m/d23m09	.	
IF(decena = 	8	)	cuip_m=cuip_m/d23m10	.	
IF(decena = 	9	)	cuip_m=cuip_m/d23m10	.	

IF(SYSMIS(cuip_m)) cuip_m = 0.	

*Gasto en Accesorios personales deflactado;

IF((clave >= 'h109' & clave < 'h118') | (clave = 'h119')) 
accp_m = gasm .

IF(decena = 	0	)	accp_m=accp_m/d23t05	.	
IF(decena = 	1	)	accp_m=accp_m/d23t05	.	
IF(decena = 	2	)	accp_m=accp_m/d23t06	.	
IF(decena = 	3	)	accp_m=accp_m/d23t06	.	
IF(decena = 	4	)	accp_m=accp_m/d23t06	.	
IF(decena = 	5	)	accp_m=accp_m/d23t07	.	
IF(decena = 	6	)	accp_m=accp_m/d23t07	.	
IF(decena = 	7	)	accp_m=accp_m/d23t07	.	
IF(decena = 	8	)	accp_m=accp_m/d23t08	.	
IF(decena = 	9	)	accp_m=accp_m/d23t08	.	

IF(SYSMIS(accp_m)) accp_m = 0.	

*Gasto en Otros gastos y transferencias deflactado;

IF((clave >= 'n001' & clave < 'n003') | (clave >= 'n006' 
& clave < 'n017') | (clave >= 'T901' & clave < 't915')) otr_m = gasm .

IF(decena = 	0	)	otr_m=otr_m/dINPCs02	.	
IF(decena = 	1	)	otr_m=otr_m/dINPCs02	.	
IF(decena = 	2	)	otr_m=otr_m/dINPCs03	.	
IF(decena = 	3	)	otr_m=otr_m/dINPCs03	.	
IF(decena = 	4	)	otr_m=otr_m/dINPCs03	.	
IF(decena = 	5	)	otr_m=otr_m/dINPCs04	.	
IF(decena = 	6	)	otr_m=otr_m/dINPCs04	.	
IF(decena = 	7	)	otr_m=otr_m/dINPCs04	.	
IF(decena = 	8	)	otr_m=otr_m/dINPCs05	.	
IF(decena = 	9	)	otr_m=otr_m/dINPCs05	.	

IF(SYSMIS(otr_m)) otr_m = 0.

*Gasto en Regalos Otorgados deflactado;

IF( (clave >= 't901' & clave < 't915' )| (clave = 'N013')) 
reda_m = gasm .

IF(decena = 	0	)	reda_m=reda_m/dINPCs02	.	
IF(decena = 	1	)	reda_m=reda_m/dINPCs02	.	
IF(decena = 	2	)	reda_m=reda_m/dINPCs03	.	
IF(decena = 	3	)	reda_m=reda_m/dINPCs03	.	
IF(decena = 	4	)	reda_m=reda_m/dINPCs03	.	
IF(decena = 	5	)	reda_m=reda_m/dINPCs04	.	
IF(decena = 	6	)	reda_m=reda_m/dINPCs04	.	
IF(decena = 	7	)	reda_m=reda_m/dINPCs04	.	
IF(decena = 	8	)	reda_m=reda_m/dINPCs05	.	
IF(decena = 	9	)	reda_m=reda_m/dINPCs05	.	

IF(SYSMIS(reda_m)) reda_m = 0.

EXECUTE.

SORT CASES BY 
   folio (A) .

AGGREGATE
  /OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\gastomonetario_def06.SAV'
  /BREAK=folio
  /ali_m = SUM(ali_m) /alta_m = SUM(alta_m) 
  /veca_m = SUM(veca_m) /viv_m = SUM(viv_m)
  /lim_m = SUM(lim_m) /cris_m = SUM(cris_m)
  /ens_m = SUM(ens_m) /sal_m = SUM(sal_m) 
  /tpub_m = SUM(tpub_m)
  /tfor_m = SUM(tfor_m) /com_m = SUM(com_m)
  /edre_m = SUM(edre_m) /edba_m = SUM(edba_m)
  /cuip_m = SUM(cuip_m) /accp_m = SUM(accp_m)
  /otr_m = SUM(otr_m) /reda_m = SUM(reda_m).

************************************************************

* Parte III

* Creacin del Gasto no monetario deflactado a pesos de agosto
de 2006.

* Los deflactores se crean previamente a partir del INPC 
segn aparece en la Nota Tcnica.

* Se crean las bases: 
'C:\MedicionPobreza\2006\SPSS\Bases\gastonomonetario_def06.sav' 
a nivel de clave de gasto, y
'C:\MedicionPobreza\2006\SPSS\Bases\auto_def06.sav'
'C:\MedicionPobreza\2006\SPSS\Bases\esp_def06.sav'
'C:\MedicionPobreza\2006\SPSS\Bases\reg_def06.sav' 
a nivel de folio.

************************************************************

*No monetario.

GET
  FILE='C:\MedicionPobreza\2006\SPSS\ENIGH\nomonetario06.sav'.
EXECUTE .

*En el caso de la informacin de gasto no monetario, para 
deflactar se utiliza la decena de levantamiento de la 
encuesta, la cual se encuentra en la sptima posicin del 
folio del hogar. En primer lugar se obtiene una variable que 
identifique la decena de levantamiento.

COMPUTE decena = NUMBER(SUBSTR(folio,7,1),f8) .

*Al comparar con la informacin del catlogo, se observa que la 
informacin se levant en nueve decenas, correspondientes a:

*Decena	Periodo de levantamiento
*
0	|	del 10 al 16 de agosto
1	|	del 20 al 26 de agosto
2	|	del 30 de agosto al 05 de septiembre
3	|	del 09 al 15 de septiembre
4	|	del 19 al 25 de septiembre
5	|	del 29 de septiembre al 05 de octubre
6	|	del 09 al 15 de octubre
7	|	del 19 al 25 de octubre
8	|	del 29 de octubre al 04 de noviembre
9	|	del 08 al 14 de noviembre

* As, para realizar el anlisis, y conforme a lo establecido
 en la informacin de la ENIGH2006, se tomarn como periodos 
de referencia:

*
Decena	Periodo de referencia
		/Semanal	/Mensual	/Trimestral		/Semestral
0	|	/Agosto		/Julio		/Mayo a julio		/Febrero a julio
1	|	/Agosto		/Julio		/Mayo a julio		/Febrero a julio
2	|	/Agosto		/Agosto 	/Junio a agosto		/Marzo a agosto 
3	|	/Septiembre	/Agosto		/Junio a agosto		/Marzo a agosto
4	|	/Septiembre	/Agosto		/Junio a agosto		/Marzo a agosto
5	|	/Septiembre	/Septiembre	/Julio a septiembre	/Abril a septiembre
6	|	/Octubre	/Septiembre	/Julio a septiembre	/Abril a septiembre
7	|	/Octubre	/Septiembre	/Julio a septiembre	/Abril a septiembre
8	|	/Octubre	/Octubre	/Agosto a octubre	/Mayo a octubre
9	|	/Noviembre	/Octubre	/Agosto a octubre	/Mayo a octubre

*Los rubros a considerar, segn la metodologa del CTMP, 
sern:
*
Rubro					/Periodicidad	Nombre del deflactor
Alimentos y bebidas no alcohlicas	/Semanal	/d11wmes
Bebidas alcohlicas y tabaco		/Semanal	/d12wmes
Vestido y calzado			/Trimestral	/d2tmesini
Vivienda y servicios de conservacin	/Mensual	/d3mmes
Estimacin del alquiler			/No se deflactar /No se deflactar
Artculos y servicios de limpieza		/Mensual	/d42mmes
Cristalera, utensilios domsticos	/Trimestral	/d42tmesini
Enseres domsticos y muebles		/Semestral	/d41smesini
Cuidados de la salud			/Trimestral	/d51tmesini
Transporte pblico			/Semanal	/d611wmes
Transporte forneo			/Semestral	/d6smesini
Comunicaciones			/Mensual	/d6mmes
Educacin bsica			/Mensual	/d7mmes
Cuidado personal			/Mensual	/d23mmes
Accesorios personales			/Trimestral	/d23tmesini
Otros gastos y transferencias		/Semestral	/dINPCsmesini
Regalos otorgados			/Semestral	/dINPCsmesini

*Definicin de los deflactores

*Rubro 1.1 semanal.

COMPUTE d11w07	=	0.9844609	.
COMPUTE d11w08	=	1.0000000	.
COMPUTE d11w09	=	1.0329810	.
COMPUTE d11w10	=	1.0431290	.
COMPUTE d11w11	=	1.0336965	.

*Rubro 1.2 semanal.

COMPUTE d12w07	=	0.9945895	.
COMPUTE d12w08	=	1.0000000	.
COMPUTE d12w09	=	0.9991202	.
COMPUTE d12w10	=	0.9989091	.
COMPUTE d12w11	=	0.9993842	.

*Rubro 2 trimestral.

COMPUTE d2t05	=	0.9980605	.
COMPUTE d2t06	=	0.9984439	.
COMPUTE d2t07	=	0.9993801	.
COMPUTE d2t08	=	1.0012110	.

*Rubro 3 mensual.

COMPUTE d3m07	=	0.9974508	.
COMPUTE d3m08	=	1.0000000	.
COMPUTE d3m09	=	1.0015785	.
COMPUTE d3m10	=	1.0085508	.
COMPUTE d3m11	=	1.0329622	.

*Rubro 4.2 mensual.

COMPUTE d42m07	=	0.9953644	.
COMPUTE d42m08	=	1.0000000	.
COMPUTE d42m09	=	1.0059547	.
COMPUTE d42m10	=	1.0124654	.
COMPUTE d42m11	=	1.0118058	.

*Rubro 4.2 trimestral.

COMPUTE d42t05	=	0.9960396	.
COMPUTE d42t06	=	0.9978015	.
COMPUTE d42t07	=	1.0004397	.
COMPUTE d42t08	=	1.0061400	.

*Rubro 4.1 semestral.

COMPUTE d41s02	=	1.0026645	.
COMPUTE d41s03	=	1.0021045	.
COMPUTE d41s04	=	1.0020266	.
COMPUTE d41s05	=	1.0026198	.

*Rubro 5.1 trimestral.

COMPUTE d51t05	=	0.9939752	.
COMPUTE d51t06	=	0.9970799	.
COMPUTE d51t07	=	0.9999539	.
COMPUTE d51t08	=	1.0032132	.

*Rubro 6.1.1 semanal.

COMPUTE d611w07	=	0.9929616	.
COMPUTE d611w08	=	1.0000000	.
COMPUTE d611w09	=	1.0005707	.
COMPUTE d611w10	=	1.0007196	.
COMPUTE d611w11	=	1.0009181	.

*Rubro 6 mensual.

COMPUTE d6m07	=	0.9965857	.
COMPUTE d6m08	=	1.0000000	.
COMPUTE d6m09	=	1.0016507	.
COMPUTE d6m10	=	0.9998002	.
COMPUTE d6m11	=	1.0019548	.

*Rubro 6 semestral.

COMPUTE d6s02	=	0.9891271	.
COMPUTE d6s03	=	0.9926674	.
COMPUTE d6s04	=	0.9958950	.
COMPUTE d6s05	=	0.9971953	.

*Rubro 7 mensual.

COMPUTE d7m07	=	0.9977200	.
COMPUTE d7m08	=	1.0000000	.
COMPUTE d7m09	=	1.0191116	.
COMPUTE d7m10	=	1.0195559	.
COMPUTE d7m11	=	1.0209222	.

*Rubro 2.3 mensual.

COMPUTE d23m07	=	0.9970873	.
COMPUTE d23m08	=	1.0000000	.
COMPUTE d23m09	=	0.9996172	.
COMPUTE d23m10	=	0.9987101	.
COMPUTE d23m11	=	1.0072734	.

*Rubro 2.3 trimestral.

COMPUTE d23t05	=	0.9985825	.
COMPUTE d23t06	=	0.9975117	.
COMPUTE d23t07	=	0.9989015	.
COMPUTE d23t08	=	0.9994424	.

*INPC semestral.

COMPUTE dINPCs02	=	0.9936076	.
COMPUTE dINPCs03	=	0.9947618	.
COMPUTE dINPCs04	=	0.9973908	.
COMPUTE dINPCs05	=	1.0005128	.
EXECUTE.

*Una vez definidos los deflactores, se seleccionan los 
rubros de gasto definidos en la metodologa del CTMP.

COMPUTE gasnomon = gas_tri/3 .
IF(SYSMIS(gasnomon)) gasnomon = 0.

IF (tipo_gas ='1') auto = 1.
IF (tipo_gas ='2') esp = 1.
IF (tipo_gas ='3') reg = 1.
IF (tipo_gas ='0') alq = 1.

EXECUTE.

*Se eliminan las claves de estimacin del valor del alquiler 
conceptualmente idnticas.

FILTER OFF.
USE ALL.
SELECT IF(~(
 (clave >= 'g001' & clave < 'g002') | (clave >= 'g012' & clave < 'g013') |
 (clave >= 'g014' & clave < 'g015') | (clave >= 'g016' & clave < 'g017') | 
(clave >= 'g018' & clave < 'g019'))).
EXECUTE .

*Gasto en Alimentos deflactado.

IF ( (clave >= 'a001' & clave < 'a222') | (clave >= 'a242' & clave < 'a248' ) ) 
ali_nm = gasnomon .

IF(decena = 	0	)	ali_nm=ali_nm/d11w08	.	
IF(decena = 	1	)	ali_nm=ali_nm/d11w08	.	
IF(decena = 	2	)	ali_nm=ali_nm/d11w08	.	
IF(decena = 	3	)	ali_nm=ali_nm/d11w09	.	
IF(decena = 	4	)	ali_nm=ali_nm/d11w09	.	
IF(decena = 	5	)	ali_nm=ali_nm/d11w09	.	
IF(decena = 	6	)	ali_nm=ali_nm/d11w10	.	
IF(decena = 	7	)	ali_nm=ali_nm/d11w10	.	
IF(decena = 	8	)	ali_nm=ali_nm/d11w10	.	
IF(decena = 	9	)	ali_nm=ali_nm/d11w11	.	

IF (SYSMIS(ali_nm)) ali_nm = 0.

*Gasto en Alcohol y tabaco deflactado.

IF ( (clave >= 'a223' & clave < 'a242') ) alta_nm = gasnomon .

IF(decena = 	0	)	alta_nm=alta_nm/d12w08	.	
IF(decena = 	1	)	alta_nm=alta_nm/d12w08	.	
IF(decena = 	2	)	alta_nm=alta_nm/d12w08	.	
IF(decena = 	3	)	alta_nm=alta_nm/d12w09	.	
IF(decena = 	4	)	alta_nm=alta_nm/d12w09	.	
IF(decena = 	5	)	alta_nm=alta_nm/d12w09	.	
IF(decena = 	6	)	alta_nm=alta_nm/d12w10	.	
IF(decena = 	7	)	alta_nm=alta_nm/d12w10	.	
IF(decena = 	8	)	alta_nm=alta_nm/d12w10	.	
IF(decena = 	9	)	alta_nm=alta_nm/d12w11	.	
	
IF (SYSMIS(alta_nm)) alta_nm = 0.

*Gasto en Vestido y calzado deflactado.

IF( (clave >= 'h001' & clave < 'h073') | (clave >= 'h075' 
& clave < 'h109') ) veca_nm = gasnomon .

IF(decena = 	0	)	veca_nm=veca_nm/d2t05	.	
IF(decena = 	1	)	veca_nm=veca_nm/d2t05	.	
IF(decena = 	2	)	veca_nm=veca_nm/d2t06	.	
IF(decena = 	3	)	veca_nm=veca_nm/d2t06	.	
IF(decena = 	4	)	veca_nm=veca_nm/d2t06	.	
IF(decena = 	5	)	veca_nm=veca_nm/d2t07	.	
IF(decena = 	6	)	veca_nm=veca_nm/d2t07	.	
IF(decena = 	7	)	veca_nm=veca_nm/d2t07	.	
IF(decena = 	8	)	veca_nm=veca_nm/d2t08	.	
IF(decena = 	9	)	veca_nm=veca_nm/d2t08	.	

IF (SYSMIS(veca_nm)) veca_nm = 0.

*Gasto en Vivienda y servicios de conservacin deflactado.

IF( (clave >= 'g002' & clave < 'g012') | (clave >= 'g020' 
& clave < 'g031')  ) viv_nm = gasnomon .

IF(decena = 	0	)	viv_nm=viv_nm/d3m07	.	
IF(decena = 	1	)	viv_nm=viv_nm/d3m07	.	
IF(decena = 	2	)	viv_nm=viv_nm/d3m08	.	
IF(decena = 	3	)	viv_nm=viv_nm/d3m08	.	
IF(decena = 	4	)	viv_nm=viv_nm/d3m08	.	
IF(decena = 	5	)	viv_nm=viv_nm/d3m09	.	
IF(decena = 	6	)	viv_nm=viv_nm/d3m09	.	
IF(decena = 	7	)	viv_nm=viv_nm/d3m09	.	
IF(decena = 	8	)	viv_nm=viv_nm/d3m10	.	
IF(decena = 	9	)	viv_nm=viv_nm/d3m10	.	

IF (SYSMIS(viv_nm)) viv_nm = 0.

*Gasto en Artculos de limpieza deflactado.

IF( clave >= 'c001' & clave < 'c025' ) lim_nm = gasnomon .

IF(decena = 	0	)	lim_nm=lim_nm/d42m07	.	
IF(decena = 	1	)	lim_nm=lim_nm/d42m07	.	
IF(decena = 	2	)	lim_nm=lim_nm/d42m08	.	
IF(decena = 	3	)	lim_nm=lim_nm/d42m08	.	
IF(decena = 	4	)	lim_nm=lim_nm/d42m08	.	
IF(decena = 	5	)	lim_nm=lim_nm/d42m09	.	
IF(decena = 	6	)	lim_nm=lim_nm/d42m09	.	
IF(decena = 	7	)	lim_nm=lim_nm/d42m09	.	
IF(decena = 	8	)	lim_nm=lim_nm/d42m10	.	
IF(decena = 	9	)	lim_nm=lim_nm/d42m10	.	

IF (SYSMIS(lim_nm)) lim_nm = 0.

*Gasto en Cristalera y blancos deflactado.

IF(clave >= 'i001' & clave < 'i027') cris_nm = gasnomon .

IF(decena = 	0	)	cris_nm=cris_nm/d42t05	.	
IF(decena = 	1	)	cris_nm=cris_nm/d42t05	.	
IF(decena = 	2	)	cris_nm=cris_nm/d42t06	.	
IF(decena = 	3	)	cris_nm=cris_nm/d42t06	.	
IF(decena = 	4	)	cris_nm=cris_nm/d42t06	.	
IF(decena = 	5	)	cris_nm=cris_nm/d42t07	.	
IF(decena = 	6	)	cris_nm=cris_nm/d42t07	.	
IF(decena = 	7	)	cris_nm=cris_nm/d42t07	.	
IF(decena = 	8	)	cris_nm=cris_nm/d42t08	.	
IF(decena = 	9	)	cris_nm=cris_nm/d42t08	.	

IF (SYSMIS(cris_nm)) cris_nm = 0.

*Gasto en Enseres domsticos y muebles deflactado.

IF(clave >= 'k001' & clave < 'k037') ens_nm = gasnomon .

IF(decena = 	0	)	ens_nm=ens_nm/d41s02	.	
IF(decena = 	1	)	ens_nm=ens_nm/d41s02	.	
IF(decena = 	2	)	ens_nm=ens_nm/d41s03	.	
IF(decena = 	3	)	ens_nm=ens_nm/d41s03	.	
IF(decena = 	4	)	ens_nm=ens_nm/d41s03	.	
IF(decena = 	5	)	ens_nm=ens_nm/d41s04	.	
IF(decena = 	6	)	ens_nm=ens_nm/d41s04	.	
IF(decena = 	7	)	ens_nm=ens_nm/d41s04	.	
IF(decena = 	8	)	ens_nm=ens_nm/d41s05	.	
IF(decena = 	9	)	ens_nm=ens_nm/d41s05	.	

IF (SYSMIS(ens_nm)) ens_nm = 0.

*Gasto en Salud deflactado.

IF(clave >= 'j001' & clave < 'j073') sal_nm = gasnomon 

IF(decena = 	0	)	sal_nm=sal_nm/d51t05	.	
IF(decena = 	1	)	sal_nm=sal_nm/d51t05	.	
IF(decena = 	2	)	sal_nm=sal_nm/d51t06	.	
IF(decena = 	3	)	sal_nm=sal_nm/d51t06	.	
IF(decena = 	4	)	sal_nm=sal_nm/d51t06	.	
IF(decena = 	5	)	sal_nm=sal_nm/d51t07	.	
IF(decena = 	6	)	sal_nm=sal_nm/d51t07	.	
IF(decena = 	7	)	sal_nm=sal_nm/d51t07	.	
IF(decena = 	8	)	sal_nm=sal_nm/d51t08	.	
IF(decena = 	9	)	sal_nm=sal_nm/d51t08	.	

IF (SYSMIS(sal_nm)) sal_nm = 0.

*Gasto en Transporte pblico deflactado.


IF(clave >= 'b001' & clave < 'b008') tpub_nm = gasnomon .

IF(decena = 	0	)	tpub_nm=tpub_nm/d611w08	.	
IF(decena = 	1	)	tpub_nm=tpub_nm/d611w08	.	
IF(decena = 	2	)	tpub_nm=tpub_nm/d611w08	.	
IF(decena = 	3	)	tpub_nm=tpub_nm/d611w09	.	
IF(decena = 	4	)	tpub_nm=tpub_nm/d611w09	.	
IF(decena = 	5	)	tpub_nm=tpub_nm/d611w09	.	
IF(decena = 	6	)	tpub_nm=tpub_nm/d611w10	.	
IF(decena = 	7	)	tpub_nm=tpub_nm/d611w10	.	
IF(decena = 	8	)	tpub_nm=tpub_nm/d611w10	.	
IF(decena = 	9	)	tpub_nm=tpub_nm/d611w11	.	

IF (SYSMIS(tpub_nm)) tpub_nm = 0.

*Gasto en Transporte forneo deflactado.

IF((clave >= 'm001' & clave < 'm019') | (clave >= 'f010' & 
clave < 'f018')) tfor_nm = gasnomon .

IF(decena = 	0	)	tfor_nm=tfor_nm/d6s02	.	
IF(decena = 	1	)	tfor_nm=tfor_nm/d6s02	.	
IF(decena = 	2	)	tfor_nm=tfor_nm/d6s03	.	
IF(decena = 	3	)	tfor_nm=tfor_nm/d6s03	.	
IF(decena = 	4	)	tfor_nm=tfor_nm/d6s03	.	
IF(decena = 	5	)	tfor_nm=tfor_nm/d6s04	.	
IF(decena = 	6	)	tfor_nm=tfor_nm/d6s04	.	
IF(decena = 	7	)	tfor_nm=tfor_nm/d6s04	.	
IF(decena = 	8	)	tfor_nm=tfor_nm/d6s05	.	
IF(decena = 	9	)	tfor_nm=tfor_nm/d6s05	.	

IF (SYSMIS(tfor_nm)) tfor_nm = 0.

*Gasto en Comunicaciones deflactado.

IF(clave >= 'f001' & clave < 'f010')  com_nm = gasnomon .

IF(decena = 	0	)	com_nm=com_nm/d6m07	.	
IF(decena = 	1	)	com_nm=com_nm/d6m07	.	
IF(decena = 	2	)	com_nm=com_nm/d6m08	.	
IF(decena = 	3	)	com_nm=com_nm/d6m08	.	
IF(decena = 	4	)	com_nm=com_nm/d6m08	.	
IF(decena = 	5	)	com_nm=com_nm/d6m09	.	
IF(decena = 	6	)	com_nm=com_nm/d6m09	.	
IF(decena = 	7	)	com_nm=com_nm/d6m09	.	
IF(decena = 	8	)	com_nm=com_nm/d6m10	.	
IF(decena = 	9	)	com_nm=com_nm/d6m10	.	

IF (SYSMIS(com_nm)) com_nm = 0.

*Gasto en Educacin y recreacin deflactado.

IF(( clave >= 'e001' & clave < 'e034') | (clave >= 'h073' & clave < 'h075') | 
(clave >= 'l001' & clave < 'l030')   | (clave >= 'n003' & clave < 'n006') ) 
edre_nm = gasnomon .

IF(decena = 	0	)	edre_nm=edre_nm/d7m07	.	
IF(decena = 	1	)	edre_nm=edre_nm/d7m07	.	
IF(decena = 	2	)	edre_nm=edre_nm/d7m08	.	
IF(decena = 	3	)	edre_nm=edre_nm/d7m08	.	
IF(decena = 	4	)	edre_nm=edre_nm/d7m08	.	
IF(decena = 	5	)	edre_nm=edre_nm/d7m09	.	
IF(decena = 	6	)	edre_nm=edre_nm/d7m09	.	
IF(decena = 	7	)	edre_nm=edre_nm/d7m09	.	
IF(decena = 	8	)	edre_nm=edre_nm/d7m10	.	
IF(decena = 	9	)	edre_nm=edre_nm/d7m10	.	

IF (SYSMIS(edre_nm)) edre_nm = 0.

*Gasto en Educacin bsica deflactado.

IF((clave >= 'e002' & clave < 'e004') | (clave >= 'h073' & clave < 'h075')) 
edba_nm = gasnomon .

IF(decena = 	0	)	edba_nm=edba_nm/d7m07	.	
IF(decena = 	1	)	edba_nm=edba_nm/d7m07	.	
IF(decena = 	2	)	edba_nm=edba_nm/d7m08	.	
IF(decena = 	3	)	edba_nm=edba_nm/d7m08	.	
IF(decena = 	4	)	edba_nm=edba_nm/d7m08	.	
IF(decena = 	5	)	edba_nm=edba_nm/d7m09	.	
IF(decena = 	6	)	edba_nm=edba_nm/d7m09	.	
IF(decena = 	7	)	edba_nm=edba_nm/d7m09	.	
IF(decena = 	8	)	edba_nm=edba_nm/d7m10	.	
IF(decena = 	9	)	edba_nm=edba_nm/d7m10	.	

IF (SYSMIS(edba_nm)) edba_nm = 0.

*Gasto en Cuidado personal deflactado.

IF( (clave >= 'd001' & clave < 'd027') | (clave = 'h118' )) 
cuip_nm = gasnomon .

IF(decena = 	0	)	cuip_nm=cuip_nm/d23m07	.	
IF(decena = 	1	)	cuip_nm=cuip_nm/d23m07	.	
IF(decena = 	2	)	cuip_nm=cuip_nm/d23m08	.	
IF(decena = 	3	)	cuip_nm=cuip_nm/d23m08	.	
IF(decena = 	4	)	cuip_nm=cuip_nm/d23m08	.	
IF(decena = 	5	)	cuip_nm=cuip_nm/d23m09	.	
IF(decena = 	6	)	cuip_nm=cuip_nm/d23m09	.	
IF(decena = 	7	)	cuip_nm=cuip_nm/d23m09	.	
IF(decena = 	8	)	cuip_nm=cuip_nm/d23m10	.	
IF(decena = 	9	)	cuip_nm=cuip_nm/d23m10	.	

IF (SYSMIS(cuip_nm)) cuip_nm = 0.

*Gasto en Accesorios personales deflactado.

IF((clave >= 'h109' & clave < 'h118') | (clave = 'h119')) 
accp_nm = gasnomon .

IF(decena = 	0	)	accp_nm=accp_nm/d23t05	.	
IF(decena = 	1	)	accp_nm=accp_nm/d23t05	.	
IF(decena = 	2	)	accp_nm=accp_nm/d23t06	.	
IF(decena = 	3	)	accp_nm=accp_nm/d23t06	.	
IF(decena = 	4	)	accp_nm=accp_nm/d23t06	.	
IF(decena = 	5	)	accp_nm=accp_nm/d23t07	.	
IF(decena = 	6	)	accp_nm=accp_nm/d23t07	.	
IF(decena = 	7	)	accp_nm=accp_nm/d23t07	.	
IF(decena = 	8	)	accp_nm=accp_nm/d23t08	.	
IF(decena = 	9	)	accp_nm=accp_nm/d23t08	.	

IF (SYSMIS(accp_nm)) accp_nm = 0.

* Gasto en Otros gastos y transferencias deflactado.

IF((clave >= 'n001' & clave < 'n003') | (clave >= 'n006' 
& clave < 'n017') | (clave >= 'T901' & clave < 't915')) otr_nm = gasnomon .

IF(decena = 	0	)	otr_nm=otr_nm/dINPCs02	.	
IF(decena = 	1	)	otr_nm=otr_nm/dINPCs02	.	
IF(decena = 	2	)	otr_nm=otr_nm/dINPCs03	.	
IF(decena = 	3	)	otr_nm=otr_nm/dINPCs03	.	
IF(decena = 	4	)	otr_nm=otr_nm/dINPCs03	.	
IF(decena = 	5	)	otr_nm=otr_nm/dINPCs04	.	
IF(decena = 	6	)	otr_nm=otr_nm/dINPCs04	.	
IF(decena = 	7	)	otr_nm=otr_nm/dINPCs04	.	
IF(decena = 	8	)	otr_nm=otr_nm/dINPCs05	.	
IF(decena = 	9	)	otr_nm=otr_nm/dINPCs05	.	

IF (SYSMIS(otr_nm)) otr_nm = 0.

*Gasto en Regalos otorgados deflactado.

IF( (clave >= 't901' & clave < 't915' )| (clave = 'N013' )) 
 reda_nm = gasnomon .

IF(decena = 	0	)	reda_nm=reda_nm/dINPCs02	.	
IF(decena = 	1	)	reda_nm=reda_nm/dINPCs02	.	
IF(decena = 	2	)	reda_nm=reda_nm/dINPCs03	.	
IF(decena = 	3	)	reda_nm=reda_nm/dINPCs03	.	
IF(decena = 	4	)	reda_nm=reda_nm/dINPCs03	.	
IF(decena = 	5	)	reda_nm=reda_nm/dINPCs04	.	
IF(decena = 	6	)	reda_nm=reda_nm/dINPCs04	.	
IF(decena = 	7	)	reda_nm=reda_nm/dINPCs04	.	
IF(decena = 	8	)	reda_nm=reda_nm/dINPCs05	.	
IF(decena = 	9	)	reda_nm=reda_nm/dINPCs05	.	

IF (SYSMIS(reda_nm)) reda_nm = 0.

*Estimacin del Alquiler

COMPUTE est_alq = alq * gasnomon .
IF (SYSMIS(est_alq)) est_alq =0.

EXECUTE .

SORT CASES BY
   folio(A) .

SAVE OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\gastonomonetario_def06.sav'
   /COMPRESSED.

*Construccin de la base de autoconsumo a partir de la base de gasto no monetario.

FILTER OFF.
USE ALL.
SELECT IF(auto = 1).
EXECUTE .

SORT CASES BY
  folio (A) .

AGGREGATE
  /OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\auto_def06.sav'
  /BREAK=folio
  /ali_nma = SUM(ali_nm) /alta_nma = SUM(alta_nm)
  /veca_nma = SUM(veca_nm) /viv_nma = SUM(viv_nm) /lim_nma =  SUM(lim_nm) 
 /cris_nma = SUM(cris_nm) /ens_nma = SUM(ens_nm) /sal_nma =  SUM(sal_nm) 
/tpub_nma = SUM(tpub_nm) /tfor_nma =  SUM(tfor_nm) /com_nma = SUM(com_nm) 
/edre_nma = SUM(edre_nm) /edba_nma = SUM(edba_nm)  /cuip_nma = SUM(cuip_nm) 
/accp_nma = SUM(accp_nm) /otr_nma = SUM(otr_nm) /reda_nma =  SUM(reda_nm).

*Construccin de la base de pagos en especie a partir de la 
base de gasto no monetario

GET
  FILE='C:\MedicionPobreza\2006\SPSS\Bases\gastonomonetario_def06.sav'.
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(esp = 1).
EXECUTE .

SORT CASES BY
  folio (A) .

AGGREGATE
  /OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\esp_def06.sav'  
  /BREAK=folio
  /ali_nme = SUM(ali_nm) /alta_nme = SUM(alta_nm)
  /veca_nme = SUM(veca_nm) /viv_nme = SUM(viv_nm) /lim_nme =  SUM(lim_nm) 
 /cris_nme = SUM(cris_nm) /ens_nme = SUM(ens_nm) /sal_nme =  SUM(sal_nm) 
/tpub_nme = SUM(tpub_nm) /tfor_nme =  SUM(tfor_nm) /com_nme = SUM(com_nm)
 /edre_nme = SUM(edre_nm) /edba_nme = SUM(edba_nm)  /cuip_nme =
 SUM(cuip_nm) /accp_nme = SUM(accp_nm) /otr_nme = SUM(otr_nm)
/reda_nme =  SUM(reda_nm).

*Construccin de base de regalos a partir de la base no monetaria .

GET
  FILE='C:\MedicionPobreza\2006\SPSS\Bases\gastonomonetario_def06.sav'.
EXECUTE .

FILTER OFF.
USE ALL.
SELECT IF(reg = 1 | alq =1).
EXECUTE .

AGGREGATE
  /OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\reg_def06.sav'
 /BREAK=folio
 /ali_nmr = SUM(ali_nm) /alta_nmr = SUM(alta_nm)
  /veca_nmr = SUM(veca_nm) /viv_nmr = SUM(viv_nm) /lim_nmr =  SUM(lim_nm) 
 /cris_nmr = SUM(cris_nm) /ens_nmr = SUM(ens_nm) /sal_nmr =  SUM(sal_nm) 
/tpub_nmr = SUM(tpub_nm) /tfor_nmr =  SUM(tfor_nm) /com_nmr = SUM(com_nm) 
/edre_nmr = SUM(edre_nm) /edba_nmr = SUM(edba_nm)  /cuip_nmr = SUM(cuip_nm) 
/accp_nmr = SUM(accp_nm) /otr_nmr = SUM(otr_nm) /reda_nmr =  SUM(reda_nm)
 /est_alq = SUM(est_alq) .


************************************************************

*Parte IV

*Clculo de la incidencia 2006.

*Con el propsito de obtener cifras representativas a nivel 
nacional, rural y urbano, se obtiene una base con las 
variables de tamao del hogar, estrato y factor de 
expansin, y a sta se le unen las bases anteriormente 
generadas.Se estiman los ingresos corriente total y 
corriente neto, se genera el factor de expansin para 
personas, y se calcula la incidencia de la pobreza de
acuerdo con la Metodologa del CTMP y el clculo oficial de
la Sedesol. 

*Se genera la base 'C:\MedicionPobreza\2006\SPSS\Bases\basefinal06.sav'
la cual se encuentra a nivel de folio.

************************************************************

GET
  FILE='C:\MedicionPobreza\2006\SPSS\ENIGH\concentrado06.sav'.
EXECUTE .

SORT CASES BY 
   folio .

SAVE OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\concentr_06.sav'
  /keep = folio tam_hog hog estrato
   /COMPRESSED.

GET
  FILE='C:\MedicionPobreza\2006\SPSS\Bases\concentr_06.sav'.
EXECUTE .

MATCH FILES /FILE=*
 /TABLE= 'C:\MedicionPobreza\2006\SPSS\Bases\ingreso_deflactado06.sav'
 /BY folio.

MATCH FILES /FILE=*
 /TABLE= 'C:\MedicionPobreza\2006\SPSS\Bases\gastomonetario_def06.sav'
 /BY folio.

MATCH FILES /FILE=*
 /TABLE= 'C:\MedicionPobreza\2006\SPSS\Bases\auto_def06.sav'
 /BY folio.

MATCH FILES /FILE=*
 /TABLE= 'C:\MedicionPobreza\2006\SPSS\Bases\esp_def06.sav'
 /BY folio.

MATCH FILES /FILE=*
 /TABLE= 'C:\MedicionPobreza\2006\SPSS\Bases\reg_def06.sav' 
/BY folio.
EXECUTE .

*Construccin del indicador del tamao de la localidad 
(rural para hogares en localidades con menos de 15,000 
habitantes y urbano en caso contrario).

IF (estrato > '2' ) rururb = 1 .
IF (estrato <= '2') rururb = 0 .
value labels rururb 1 'Rural <15000 hab.' 0 'Urbano' .
EXECUTE.

*Se calculan los gastos totales.

COMPUTE gasmon = SUM(ali_m, alta_m, veca_m, viv_m, lim_m, 
ens_m, cris_m, sal_m, tpub_m, tfor_m, 
com_m, edre_m, cuip_m, accp_m, otr_m) .
IF (SYSMIS(gasmon)) gasmon=0.

COMPUTE autocons = SUM(ali_nma, alta_nma, veca_nma, viv_nma, 
lim_nma, ens_nma, cris_nma, sal_nma, tpub_nma, tfor_nma, 
com_nma, edre_nma, cuip_nma, accp_nma, otr_nma) .
IF (SYSMIS(autocons)) autocons=0.

COMPUTE pago_esp = SUM(ali_nme, alta_nme, veca_nme, viv_nme, 
lim_nme, ens_nme, cris_nme, sal_nme, tpub_nme, tfor_nme, 
com_nme, edre_nme, cuip_nme, accp_nme, otr_nme) .
IF (SYSMIS(pago_esp)) pago_esp=0.

COMPUTE reg_esp = SUM(ali_nmr, alta_nmr, veca_nmr, viv_nmr, 
lim_nmr, ens_nmr, cris_nmr, sal_nmr, tpub_nmr, tfor_nmr, 
com_nmr, edre_nmr, cuip_nmr, accp_nmr, otr_nmr) .
IF (SYSMIS(reg_esp)) reg_esp=0.

COMPUTE nomon = SUM(autocons, pago_esp, reg_esp, est_alq) .
IF (SYSMIS(nomon)) nomon=0.

COMPUTE reda = SUM(reda_m, reda_nma, reda_nme) .
IF (SYSMIS(reda)) reda=0.

COMPUTE redan = -1 * reda .

COMPUTE reg_espn = -1 * reg_esp .

EXECUTE .

COMPUTE ict = SUM(ing_mon, nomon) .
COMPUTE gct = SUM(gasmon, nomon) .
COMPUTE intt = SUM(ing_mon, nomon, redan, reg_espn) .
COMPUTE gnt = SUM(gasmon, nomon, redan, reg_espn) .

variable label ict 'Ingreso corriente total'.
variable label gct 'Gasto corriente total'.
variable label intt 'Ingreso neto total'.
variable label gnt 'Gasto neto total'.

*Informacin per capita.

COMPUTE ictpc = ict / tam_hog .
COMPUTE gctpc = gct / tam_hog  .
COMPUTE intpc = intt / tam_hog .
COMPUTE gntpc = gnt / tam_hog  .

variable label ictpc 'Ingreso corriente total per capita'.
variable label gctpc 'Gasto corriente total per capita'.
variable label intpc 'Ingreso neto total per capita'.
variable label gntpc 'Gasto neto total per capita'.

EXECUTE.

*Generacin del factor de expansin para personas.

RENAME VARIABLES hog=factor.

COMPUTE factorp= factor*tam_hog.

variable label factor 'Factor de expansin para hogares'.
variable label factorp 'Factor de expansin para personas'.
EXECUTE.

**************************************************************

*Generacin de las Lneas de Pobreza

**************************************************************

*NOTA: En este programa se calculan las tres lneas de 
pobreza definidas por la Sedesol (ver el Capitulo 5 
del libro "Nmeros que mueven al mundo: la Medicin 
de la Pobreza en Mxico", coordinado por Miguel Szkely, 
editorial Miguel ngel Porra).
*
El documento Metodolgico del CTMP establece tres lneas 
de pobreza, las cuales son:
*
LP I: Valor de la Canasta Alimentaria
*
LP II: Valor de la Canasta Alimentaria expandido por el 
coeficiente de Engel obtenido al considerar los gastos en 
alimentacin, vestido y calzado, vivienda, salud, transporte 
pblico, y educacin.
*
LP III: Valor de la Canasta Alimentaria expandido por el 
coeficiente de Engel obtenido al considerar los gastos en 
todos los bienes.
*
Sedesol retom las definiciones del CTMP, y defini una 
cuarta lnea de pobreza que inclua los gastos correspondientes 
a alimentacin, educacin y salud, y no considero la LP III. 
*As, para la medicin oficial del ao 2000, se nombr a la 
LP I como Lnea de Pobreza Alimentaria, a la LP II como Lnea 
de Pobreza Patrimonial, y a la nueva lnea se le nombr Lnea 
de Pobreza de Capacidades.
*
En este programa se calculan las tres lneas definidas por 
la Sedesol , denominndoles:
*
lp1 : LP I o Lnea de Pobreza Alimentaria
lp2 : Lnea de Pobreza de Capacidades
lp3 : LP II o Lnea de Pobreza Patrimonial

************************************************************
*
*LP1
*
************************************************************

*Valor de la canasta bsica (ver Nota Tcnica).

COMPUTE can_urb = 809.87 .
COMPUTE can_rur = 598.70 .

IF (intpc <= can_urb & rururb = 0) poblp1 = 1 .
IF (intpc > can_urb & rururb = 0) poblp1 = 0 .
IF (intpc <= can_rur & rururb = 1) poblp1 = 1 .
IF (intpc > can_rur & rururb = 1) poblp1 = 0 .
EXECUTE.

* Nmero y porcentaje de hogares en pobreza de acuerdo con 
la LP1.

WEIGHT
  BY factor .

MEANS
  TABLES=poblp1 BY rururb
  /CELLS MEAN SUM COUNT .

* Nmero y porcentaje de personas en pobreza de acuerdo con 
la LP1.

WEIGHT
  BY factorp .

MEANS
  TABLES=poblp1 BY rururb
  /CELLS MEAN SUM COUNT .

************************************************************

*LP2

************************************************************

*Se incorporan los coeficientes de Engel
del ao 2000.
*Coeficiente de Engel LP2 urbano.

COMPUTE e_lp2_u = 1.2265 .

*Coeficiente de Engel LP2 rural.

COMPUTE e_lp2_r = 1.1823 .

*Se identifica a los hogares bajo LP2.

IF(intpc <= can_urb * e_lp2_u & rururb = 0) poblp2 = 1 . 
IF(intpc > can_urb * e_lp2_u & rururb = 0) poblp2 = 0 . 
IF(intpc <= can_rur * e_lp2_r & rururb = 1) poblp2 = 1 . 
IF(intpc > can_rur* e_lp2_r & rururb = 1) poblp2 = 0 . 

* Nmero y porcentaje de hogares en pobreza de acuerdo con 
la LP2.

WEIGHT
  BY factor .

MEANS
  TABLES=poblp2 BY rururb
  /CELLS MEAN SUM COUNT .

* Nmero y porcentaje de personas en pobreza de acuerdo con 
la LP2.

WEIGHT
  BY factorp .

MEANS
  TABLES=poblp2 BY rururb
  /CELLS MEAN SUM COUNT .

************************************************************

*LP3

************************************************************

*Se incorporan los coeficientes de Engel 
modificado del ao 2000.

*Coeficiente de Engel LP3 urbano.

COMPUTE e_lp3_u = 2.0064 .

*Coeficiente de Engel LP3 rural.

COMPUTE e_lp3_r = 1.8146 .

*Se identica los hogares bajo LP3.

IF(intpc <= can_urb * e_lp3_u & rururb = 0) poblp3 = 1 . 
IF(intpc > can_urb * e_lp3_u & rururb = 0) poblp3 = 0 . 
IF(intpc <= can_rur * e_lp3_r & rururb = 1) poblp3 = 1 . 
IF(intpc > can_rur* e_lp3_r & rururb = 1) poblp3 = 0 . 

* Nmero y porcentaje de hogares en pobreza de acuerdo con 
la LP3.

WEIGHT
  BY factor .

MEANS
  TABLES=poblp3 BY rururb
  /CELLS MEAN SUM COUNT .

* Nmero y porcentaje de personas en pobreza de acuerdo con 
la LP3.

WEIGHT
  BY factorp .

MEANS
  TABLES=poblp3 BY rururb
  /CELLS MEAN SUM COUNT .

var lab folio 	"Identificador del hogar".
var lab factor 	"Factor de expansin a nivel hogar".
var lab factorp 	"Factor de expansin para personas".
var lab estrato 	"Tamao de la localidad".
var lab rururb 	"Identificador de localidades rurales".
var lab tam_hog 	"Tamao del hogar".
var lab ict 	"Ingreso corriente total del hogar".
var lab gct 	"Gasto corriente total del hogar".
var lab intt 	"Ingreso neto total del hogar".
var lab gnt 	"Gasto neto total del hogar".
var lab ictpc 	"Ingreso corriente total per cpita".
var lab gctpc 	"Gasto corriente total per cpita".
var lab intpc 	"Ingreso neto total per cpita".
var lab gntpc 	"Gasto neto total per cpita".
var lab poblp1 	"Identificador de los hogares en situacin de pobreza alimentaria".
var lab poblp2 	"Identificador de los hogares en situacin de pobreza de capacidades".
var lab poblp3 	"Identificador de los hogares en situacin de pobreza de patrimonio".

************************************************************

*Concentrado de tabulados

************************************************************

*Incidencia en hogares.

WEIGHT
  BY factor .

MEANS
  TABLES=poblp1 poblp2 poblp3 BY rururb
  /CELLS MEAN SUM COUNT .

* Incidencia en personas.

WEIGHT
  BY factorp .

MEANS
  TABLES= poblp1 poblp2 poblp3 BY rururb  
  /CELLS MEAN SUM COUNT .

SAVE OUTFILE='C:\MedicionPobreza\2006\SPSS\Bases\basefinal06.sav'  
 /COMPRESSED.




